# `vacation_photos`) could be found by running:
# $ script.sh 100 "$HOME"
# /home/johndoe/Pictures/unsorted/notjunk/vacation_photos
-# Version: 0.0.2
+# Version: 0.1.0
yell() { echo "$0: $*" >&2; } # print script path and all args to stderr
die() { yell "$*"; exit 111; } # same as yell() but non-zero exit status
check_depends() {
local flag_return=0;
- if ! command -v du; then flag_return=1; fi;
+ if ! command -v du 1>/dev/random 2>&1; then flag_return=1; fi;
return "$flag_return";
}; # returns 1 if missing dependencies